Bug 169741 - kernel-smp cannot execute binary files
kernel-smp cannot execute binary files
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-02 15:20 EDT by Lindolfo Alves
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:39:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output file (12.43 KB, text/plain)
2005-10-04 10:00 EDT, Lindolfo Alves
no flags Details
disk information (1020 bytes, text/plain)
2005-10-04 10:08 EDT, Lindolfo Alves
no flags Details
lsmod output (951 bytes, text/plain)
2005-10-04 10:25 EDT, Lindolfo Alves
no flags Details
dmesg smp kernel.. (17.47 KB, text/plain)
2005-10-05 10:40 EDT, Lindolfo Alves
no flags Details
memory list (670 bytes, text/plain)
2005-10-05 10:42 EDT, Lindolfo Alves
no flags Details

  None (edit)
Description Lindolfo Alves 2005-10-02 15:20:56 EDT
Description of problem:

When i use kernel-smp the linux cannot execute binary files 

when I use the server with kernel-smp, I cannot execute binary files, therefore 
the server does not obtain to initiate in correct way. However when beginning 
with kernel normal I do not have no problem, everything functions normally. 
Already I disable in bios the support for HT. I installed the FC4, however it 
gave error the same. Also I compiled kernel 2.6.13.2 and the problem persists.

already I tried to use the options apci=off noprobe in boot... not working...


My harware:

Intel Server Board SE7320SP2;
2 processors Intel Xeon 3.2Ghz
4096MB mem Kingston
LSI MegaRaid SATA 150-4
4 HDs sata 200GB


also I created initrd as another one bug related with the following options:
mkinitrd --with=scsi_mod --with=sd_mod --with=sata_sil --with=megaraid_mm --
with=megaraid_mm /boot/initrd-2.6.13.2smp.img  2.6.13.2

Thanks!!


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. utilize the same hardware
2. boot with kernel-smp
3. 
  
Actual results:
cannot execute binary files, any file place in /usr not runn!

Expected results:


Additional info:

Result off commands:

[root@app ~]# lspci -v
00:00.0 Host bridge: Intel Corporation E7320 Memory Controller Hub (rev 0c)
        Subsystem: Intel Corporation: Unknown device 343f
        Flags: bus master, fast devsel, latency 0
        Capabilities: [40] Vendor Specific Information

00:00.1 Class ff00: Intel Corporation E7320 Error Reporting Registers (rev 0c)
        Subsystem: Intel Corporation: Unknown device 343f
        Flags: fast devsel

00:02.0 PCI bridge: Intel Corporation E7525/E7520/E7320 PCI Express Port A (rev 
0c) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Message Signalled Interrupts: 64bit- Queue=0/1 
Enable-
        Capabilities: [64] Express Root Port (Slot-) IRQ 0
        Capabilities: [100] Advanced Error Reporting

00:03.0 PCI bridge: Intel Corporation E7525/E7520/E7320 PCI Express Port A1 
(rev 0c) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Message Signalled Interrupts: 64bit- Queue=0/1 
Enable-
        Capabilities: [64] Express Root Port (Slot-) IRQ 0
        Capabilities: [100] Advanced Error Reporting

00:1c.0 PCI bridge: Intel Corporation 6300ESB 64-bit PCI-X Bridge (rev 02) 
(prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, fast devsel, latency 64
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=48
        Memory behind bridge: dee00000-deefffff
        Prefetchable memory behind bridge: 00000000ddf00000-00000000ddf00000
        Capabilities: [50] PCI-X bridge device.

00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 0a) (prog-if 00 
[Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=04, subordinate=04, sec-latency=32
        I/O behind bridge: 0000e000-0000efff
        Memory behind bridge: def00000-dfffffff

00:1f.0 ISA bridge: Intel Corporation 6300ESB LPC Interface Controller (rev 02)
        Flags: bus master, medium devsel, latency 0

00:1f.1 IDE interface: Intel Corporation 6300ESB PATA Storage Controller (rev 
02) (prog-if 8a [Master SecP PriP])
        Subsystem: Intel Corporation: Unknown device 343f
        Flags: bus master, medium devsel, latency 0, IRQ 9
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at fc00 [size=16]
        Memory at c0000000 (32-bit, non-prefetchable) [size=1K]

00:1f.3 SMBus: Intel Corporation 6300ESB SMBus Controller (rev 02)
        Subsystem: Intel Corporation: Unknown device 343f
        Flags: medium devsel, IRQ 11
        I/O ports at 0400 [size=32]

03:03.0 RAID bus controller: LSI Logic / Symbios Logic MegaRAID (rev 01)
        Subsystem: LSI Logic / Symbios Logic MegaRAID SATA 150-4 RAID Controller
        Flags: bus master, 66Mhz, slow devsel, latency 64, IRQ 5
        Memory at ddff0000 (32-bit, prefetchable) [size=64K]
        Expansion ROM at deef0000 [disabled] [size=64K]
        Capabilities: [80] Power Management version 2

04:02.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27) (prog-
if 00 [VGA])
        Subsystem: Intel Corporation: Unknown device 343f
        Flags: bus master, stepping, medium devsel, latency 64, IRQ 11
        Memory at df000000 (32-bit, non-prefetchable) [size=16M]
        I/O ports at e800 [size=256]
        Memory at defff000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at defc0000 [disabled] [size=128K]
        Capabilities: [5c] Power Management version 2

04:03.0 Ethernet controller: Intel Corporation 82541GI/PI Gigabit Ethernet 
Controller (rev 05)
        Subsystem: Intel Corporation: Unknown device 343f
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 10
        Memory at defa0000 (32-bit, non-prefetchable) [size=128K]
        I/O ports at ec00 [size=64]
        Capabilities: [dc] Power Management version 2
        Capabilities: [e4] PCI-X non-bridge device.


[root@app ~]#less /var/log/messages

Oct  2 15:11:22 app kernel: ACPI: Subsystem revision 20050408
Oct  2 15:11:22 app kernel: ACPI: Interpreter disabled.
Oct  2 15:11:22 app kernel: Linux Plug and Play Support v0.97 (c) Adam Belay
Oct  2 15:11:22 app kernel: pnp: PnP ACPI: disabled
Oct  2 15:11:22 app kernel: usbcore: registered new driver usbfs
Oct  2 15:11:22 app kernel: usbcore: registered new driver hub
Oct  2 15:11:22 app kernel: PCI: Probing PCI hardware
Oct  2 15:11:22 app xfs: /usr/X11R6/bin/xfs: /usr/X11R6/bin/xfs: cannot execute 
binary file
Oct  2 15:11:22 app kernel: PCI: Probing PCI hardware (bus 00)
Oct  2 15:11:22 app xfs: xfs startup failed
Oct  2 15:11:22 app kernel: PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.1
Oct  2 15:11:22 aapp kernel: PCI: Transparent bridge - 0000:00:1e.0
Oct  2 15:11:22 app kernel: PCI: Discovered primary peer bus ff [IRQ]
Oct  2 15:11:22 app kernel: PCI: Using IRQ router PIIX/ICH [8086/25a1] at 
0000:00:1f.0
Oct  2 15:11:22 app kernel: PCI->APIC IRQ transform: 0000:00:02.0[A] -> IRQ 169
Oct  2 15:11:22 app kernel: PCI->APIC IRQ transform: 0000:00:03.0[A] -> IRQ 169
Oct  2 15:11:22 app anacron: /usr/sbin/anacron: /usr/sbin/anacron: cannot 
execute binary file
Oct  2 15:11:22 app kernel: PCI->APIC IRQ transform: 0000:00:1f.1[A] -> IRQ 185
Oct  2 15:11:22 app anacron: anacron startup failed
Oct  2 15:11:22 app kernel: PCI->APIC IRQ transform: 0000:00:1f.3[B] -> IRQ 177
Oct  2 15:11:22 app kernel: PCI->APIC IRQ transform: 0000:03:03.0[A] -> IRQ 193
Oct  2 15:11:23 app kernel: PCI->APIC IRQ transform: 0000:04:02.0[A] -> IRQ 177
Oct  2 15:11:23 app kernel: PCI->APIC IRQ transform: 0000:04:03.0[A] -> IRQ 169
Oct  2 15:11:23 app kernel: PCI: Bridge: 0000:00:02.0
Oct  2 15:11:23 app kernel:   IO window: disabled.
Oct  2 15:11:23 app kernel:   MEM window: disabled.
Oct  2 15:11:23 app kernel:   PREFETCH window: disabled.
Oct  2 15:11:23 app kernel: PCI: Bridge: 0000:00:03.0
Oct  2 15:11:23 app atd: /usr/sbin/atd: /usr/sbin/atd: cannot execute binary 
file
Oct  2 15:11:23 app kernel:   IO window: disabled.
Oct  2 15:11:23 app kernel:   MEM window: disabled.
Oct  2 15:11:23 app atd: atd startup failed
Oct  2 15:11:23 app kernel:   PREFETCH window: disabled.
Oct  2 15:11:23 app kernel: PCI: Bridge: 0000:00:1c.0
Oct  2 15:11:23 app kernel:   IO window: disabled.
Oct  2 15:11:23 app readahead: Starting background readahead:
Oct  2 15:11:23 app kernel:   MEM window: dee00000-deefffff
Oct  2 15:11:23 app kernel:   PREFETCH window: ddf00000-ddffffff
Oct  2 15:11:23 app kernel: PCI: Bridge: 0000:00:1e.0
Oct  2 15:11:23 app kernel:   IO window: e000-efff
Oct  2 15:11:23 app kernel:   MEM window: def00000-dfffffff
Oct  2 15:11:23 app kernel:   PREFETCH window: c0000000-c00fffff
Oct  2 15:11:23 app readahead: /etc/rc5.d/S96readahead: line 
20: /usr/sbin/readahead: cannot execute binary file
Oct  2 15:11:23 app rc: Starting readahead:  succeeded
Oct  2 15:11:23 app kernel: apm: BIOS version 1.2 Flags 0x03 (Driver version 
1.16ac)
Oct  2 15:11:23 app kernel: apm: disabled - APM is not SMP safe.
Oct  2 15:11:23 app kernel: audit: initializing netlink socket (disabled)
Oct  2 15:11:23 app kernel: audit(1128265850.852:1): initialized
Oct  2 15:11:23 app kernel: highmem bounce pool size: 64 pages
Oct  2 15:11:23 app dbus-daemon-1: /usr/bin/dbus-daemon-1: /usr/bin/dbus-daemon-
1: cannot execute binary file
Oct  2 15:11:23 app kernel: Total HugeTLB memory allocated, 0
Oct  2 15:11:23 app kernel: VFS: Disk quotas dquot_6.5.1
Oct  2 15:11:23 app kernel: Dquot-cache hash table entries: 1024 (order 0, 4096 
bytes)
Oct  2 15:11:23 app messagebus: messagebus startup failed
Oct  2 15:11:23 app kernel: SELinux:  Registering netfilter hooks
Oct  2 15:11:23 app kernel: Initializing Cryptographic API
Comment 1 Dave Jones 2005-10-02 19:31:08 EDT
which version of the Fedora kernel are you running ?
Comment 2 Lindolfo Alves 2005-10-02 20:12:59 EDT
I use the latest fedora stable kernel available in yum: kernel-smp-2.6.12-
1.1378_FC3.i686

I try 2.6.13.2smp and FC4smp default kernels available in yum...
Comment 3 Dave Jones 2005-10-03 17:31:45 EDT
does it work if you boot with selinux=0 ?
Comment 4 Lindolfo Alves 2005-10-03 17:58:09 EDT
SELinux is disable...

Remember... only smp kernel not work... no-smp kernel work fine...

additonal configuration:

I use LVM and exist RAID configuration via LSI MegaRaid 150-4...

Tks!!
Comment 5 Dave Jones 2005-10-03 20:30:26 EDT
This is really puzzling, as this is the only report of anything like this.

Can you try the following..

1. yum install strace
2. reboot the smp kernel into single user mode  (add init=/bin/bash to command line)
3. strace /usr/sbin/readahead > /strace.out
4. sync ; reboot

and then after booting back into the working kernel, attach the /strace.out file
here.
Comment 6 Lindolfo Alves 2005-10-04 09:23:47 EDT
Hi,

I execute the instructions, boot via SMP kernel... 

bash-3.00#mount /tmp
bash-3.00#mount /usr
bash-3.00#strace /usr/sbin/readahead > /tmp/strace.out (##I use /tmp for .out 
file, because / is mounted is read-only mode##)
execve("/usr/sbin/readahead", ["/usr/sbin/readahead"], {/* 5 vars */] = 0
strace: exec: Exec format error

Other any sugestion for kernel/boot/driver debug??

Tks.

Comment 7 Lindolfo Alves 2005-10-04 10:00:06 EDT
Created attachment 119599 [details]
dmesg output file

look sda caching mode data failed..
Comment 8 Lindolfo Alves 2005-10-04 10:08:47 EDT
Created attachment 119601 [details]
disk information

my disk information
Comment 9 Lindolfo Alves 2005-10-04 10:25:55 EDT
Created attachment 119602 [details]
lsmod output

modules information
Comment 10 Lindolfo Alves 2005-10-04 12:08:54 EDT
I get the latest development kernel 2.6.14-rc3-git4 and compile but the error 
persist...

I increase debug level of initrd suggest by Deron Meranda here: 
https://www.redhat.com/archives/fedora-list/2005-January/msg07843.html

But no found error in LVM and drivers..

Tks.
Comment 11 Dave Jones 2005-10-04 23:24:49 EDT
does the problem go away if you boot the smp kernel with mem=1000M ?

The SMP kernel allows memory >4GB, whereas the UP one doesn't, so that could be
the reason if some driver has issues with highmem.
Comment 12 Lindolfo Alves 2005-10-05 10:37:55 EDT
I add the option mem=4G and resolve the problem of binary files... :)

But...

I have 4GB of memory, but kernel-smp recognize only 3042MB...

look the dmesg output attachment.. normal kernel recognize 4G, but smp kernel 
not.

I attach new dmesg output...


Comment 13 Lindolfo Alves 2005-10-05 10:40:24 EDT
Created attachment 119640 [details]
dmesg smp kernel..

dmesg smp kernel..
Comment 14 Lindolfo Alves 2005-10-05 10:42:35 EDT
Created attachment 119641 [details]
memory list

memory list
Comment 15 Dave Jones 2006-01-16 17:17:35 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 16 Dave Jones 2006-02-03 00:58:57 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 17 John Thacker 2006-05-04 21:39:13 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.